> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List this Account's Event Subscriptions.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /event_subscriptions
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /event_subscriptions:
    get:
      tags:
        - EventSubscriptions
      summary: List
      description: |
        List this Account's Event Subscriptions.
      operationId: EventSubscriptionsList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          description: >
            Expects a resource ID as its input. Returns earlier entries in the
            result set, sorted by ID.
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: >
            Constrains the number of results in the dataset. See the [API
            Overview](https://ngrok.com/docs/api/index#pagination) for details.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >
            A CEL expression to filter the list results. Supports logical and
            comparison operators to match on fields such as `id`, `metadata`,
            `created_at`, and more. See ngrok API Filtering for syntax and field
            details: https://ngrok.com/docs/api/api-filtering.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List this Account's Event Subscriptions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventSubscriptionList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EventSubscriptionList:
      type: object
      properties:
        event_subscriptions:
          description: |
            The list of all Event Subscriptions on this account.
          type: array
          items:
            $ref: '#/components/schemas/EventSubscription'
        uri:
          description: |
            URI of the Event Subscriptions list API resource.
          type: string
        next_page_uri:
          description: |
            URI of next page, or null if there is no next page.
          type: string
    EventSubscription:
      type: object
      properties:
        id:
          description: |
            Unique identifier for this Event Subscription.
          type: string
        uri:
          description: |
            URI of the Event Subscription API resource.
          type: string
        created_at:
          description: |
            When the Event Subscription was created (RFC 3339 format).
          type: string
        metadata:
          description: >
            Arbitrary customer supplied information intended to be machine
            readable. Optional, max 4096 chars.
          type: string
        description:
          description: >
            Arbitrary customer supplied information intended to be human
            readable. Optional, max 255 chars.
          type: string
        sources:
          description: >
            Sources containing the types for which this event subscription will
            trigger
          type: array
          items:
            $ref: '#/components/schemas/EventSource'
        destinations:
          description: |
            Destinations to which these events will be sent
          type: array
          items:
            $ref: '#/components/schemas/Ref'
    EventSource:
      type: object
      properties:
        type:
          description: |
            Type of event for which an event subscription will trigger
          type: string
        uri:
          description: |
            URI of the Event Source API resource.
          type: string
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````